import { Query, QueryClient } from 'react-query';
import { QueryCacheNotifyEvent } from './query-cache-notify-event.interface';
import { QueryClientManagerOptions } from './query-client-manager-options.interface';
export declare class QueryClientManager {
    queryClient: QueryClient;
    queryCacheEvent: (() => void) | undefined;
    constructor(options: QueryClientManagerOptions);
    getQueryCache(): import("react-query").QueryCache;
    getQueries(): Query[];
    getQueryByHash(queryHash: string): Query | undefined;
    fetchQueryByHash(queryHash: string): Promise<unknown>;
    subscribe(callback: (event: QueryCacheNotifyEvent | undefined) => void): void;
    unsubscribe(): void;
    invalidateQueries(key?: string): Promise<void>;
}
